Name:           amahi-netboot
Version: 0.1
Release:       5

Summary:        Amahi Netboot - Boot over the network

Group:          System Environment/Daemons
License:        GPL
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: tftp-server

%define debug_package %{nil}

%description
Amahi Netboot - Boot over the network from your HDA

%prep
%setup -q

%build


%install
mkdir -p $RPM_BUILD_ROOT/usr/share/amahi-netboot
rsync -Ca tftp $RPM_BUILD_ROOT/usr/share/amahi-netboot

%clean
rm -rf $RPM_BUILD_ROOT

%post

# configure tftp daemon 
if [[ -a /etc/xinetd.d/tftp ]] ; then
	sed -i.bak -e 's|server_args.*=.*$|server_args = -s /usr/share/amahi-netboot/tftp|' /etc/xinetd.d/tftp
	/sbin/chkconfig --levels 345 xinetd on
	/sbin/chkconfig tftp on
	/sbin/service xinetd restart &> /dev/null
fi

%preun

%files
%defattr(-,root,root,-)
/usr/share/amahi-netboot/*

%changelog
* Wed Aug  2 2009 Carlos Puchol
- initial version
